## fretsonfire 1.3.110.dfsg

=== debian/changelog ===
fretsonfire (1.3.110.dfsg-3) unstable; urgency=low

  * Team upload.

  [ Paul Wise ]
  * Fix hard-coded symlink to the mgopen font (Closes: #653657)
  * Switch from ttf-mgopen to fonts-mgopen
  * Drop dependency on libgl1-mesa-dev since it is no longer needed
    (Closes: #561314, #561985)
  * FoF is implemented in python, no need for ${shlibs:Depends}
  * Add missing ${misc:Depends} to fretsonfire Depends
  * Switch to dpkg-source v3 instead of manual patching using quilt
  * Don't need python-dev in build-deps, switch to python
  * Clean up the patches and add DEP-3 headers to them
  * Link to the correct version of the GPL

  [ Andrew Higginson ]
  * Better description for package 'fretsonfire' describing gameplay,
    included applications etc. and removing non-user-friendly 'this is
    a metapackage...' (LP: #599525) (Closes: #587621)

 -- Paul Wise <pabs@debian.org>  Sun, 01 Jan 2012 13:48:45 +0800

fretsonfire (1.3.110.dfsg-2) unstable; urgency=low

  [ Matthew Johnson ]
  * Change credits to use sectoid/Feelings instead of defy. (Closes: #526399)
    + I'd like to ignore the error / have no music,
    + but that doesn't seem to work. I can't figure out how to
    + catch the exception.

  [ Barry deFreese ]
  * Add myself to uploaders.
  * Remove python-numpy and python-numeric depends. (Closes: #547960).
  * Add depends on libgl1-mesa-dev for now. (Closes: #524731).
  * Add README.source for quilt patch system.
  * Clean up some syntax in debian/copyright.
  * Bump Standards Version to 3.8.3. (No changes needed).

 -- Barry deFreese <bdefreese@debian.org>  Wed, 21 Oct 2009 16:57:43 -0400

fretsonfire (1.3.110.dfsg-1) unstable; urgency=low

  [ Ansgar Burchardt ]
  * python-pyogg was renamed into python-ogg, update dependencies accordingly
    (Closes: #494893)

  [ Peter De Wachter ]
  * Fixed watch file.

  [ Matthew Johnson ]
  * New upstream release (Closes: #516912)
   - Rewrote get-orig-source for new source format
   - Removed png-generation from debian/rules since they are provided upstream
   - Removed patches svg.patch, stage.ini.patch and fix_glow_svg.patch because
   they are obsolete
   - Removed build-deps on inkscape and *sdl*, since we are not converting
   svgs any more
  * Add Depends/Recommends on fretsonfire-songs-muldjord

 -- Matthew Johnson <mjj29@adonis.trinhall.cam.ac.uk>  Mon, 02 Mar 2009 23:17:47 +0000

fretsonfire (1.2.512.dfsg-3) unstable; urgency=low

  [ Miriam Ruiz ]
  * Added David Martínez Martí <deavidsedice@gmail.com> as comaintainer.

  [ David Martínez Martí ]
  * Added fix_glow_svg.patch to fix bug in glow.svg
  * Added keep_sound_when_failed.patch si that the sound does not disappear
    completely when you fail a note and there's no base soundtrack

 -- Miriam Ruiz <little_miry@yahoo.es>  Wed, 23 Jul 2008 19:45:04 +0200

fretsonfire (1.2.512.dfsg-2) unstable; urgency=low

  * Added fonts_lower_cpu.patch to reduce CPU consumption. Closes: #462624
    Thanks to David Martínez Martí <deavidsedice@gmail.com>
  * Added patch: fix_window_height_bug.patch to fix a bug calculating
    window size when the orthogonal projection window is set.
    Thanks to David Martínez Martí <deavidsedice@gmail.com>

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 22 Jul 2008 12:38:20 +0200

fretsonfire (1.2.512.dfsg-1) unstable; urgency=low

  [ Miriam Ruiz ]
  * New Upstream Release.
  * Removed old Spanish translations. The ones from upstream are up-to-date
    now.
  * Refreshed patch typeerror.patch
  * Standards-Version set to 3.8.0
  * Added call to dh_desktop in debian/rules.
  * Added check in debian/rules to make sure that the images have been
    successfully converted from svg to png files.

  [ Matthew Johnson ]
  * Correct obvious inaccuracies in man page.
  * Add dependency on python-numty
  * Enable use of cached png files
  * Add patch reverting Font.py changes to make text render
  * Use ttf-dejavu instead of ttf-bitstream-vera (Closes: #455580)
  * Reformat Depends: to be more readable
  * Compress using bzip2
  * Apply stage.ini patch from Sami

  [ Jon Dowland ]
  * Add Homepage: control field to source stanza
  * Remove a bashism from the clean target (Closes: #462237)

  [ Ansgar Burchardt ]
  * Remove deprecated Encoding key from .desktop file
  * debian/control: Change XS-Vcs-* to Vcs-*

 -- Miriam Ruiz <little_miry@yahoo.es>  Tue, 22 Jul 2008 12:12:09 +0200

fretsonfire (1.2.451.dfsg-2) unstable; urgency=low

  [ Matthew Johnson ]
  * Update debian/copyright to be utf8
  * reformat README.Debian-source to be 80 characters/line
  * Added watch file
  * Fixed stage.ini so that lights are smaller (only a problem with the pngs)
    (Closes: #428350)
  * Depend on python-pyvorbis (Closes: #427579)
  * Add note to README.Debian and long description that FoF won't work without
    proper GL support.
  * Add note to README.Debian that only PS2 importing is supported
    (Closes: #428346)
  * Update menu to format menu-2, change menu section
    as-per menu transition

  [ Gonéri Le Bouder ]
  * fixed the watch file

  [Miriam Ruiz]
  * Updated Sami's address in debian/copyright
  * Added patch to fix a crashing on startup due to wrong type. Closes: #437330

 -- Miriam Ruiz <little_miry@yahoo.es>  Sat, 01 Sep 2007 17:46:06 +0000

fretsonfire (1.2.451.dfsg-1) unstable; urgency=low

  [ Matthew Johnson ]
  * DFSG version/tarball (remove songs and fonts)
  * Add depends on python-pyogg, new version needs it
  * Add recommends on fretsonfire-songs-sectoid
  * Rewrite get-orig-source to use makefile targets
  * Add depends on ttf-bitstream-vera and ttf-mgopen
  * Patch Svg.py no to try and initialise amanith
  * Rename game package to fretsonfire-game
  * Add fretsonfire metapackage
  * Create xpm
  * Move installation to .install
  * Remove lintian-override
  * Added and install .desktop file 

  [ Miriam Ruiz ]
  * Fetch translation sources from SVN in get-orig-source
  * Added translations to the building system
  * New Spanish translations


