=== debian/watch ===
version=3

opts=dversionmangle=s/\.dfsg.*// \
http://sf.net/fretsonfire/FretsOnFire-src-(.*).tar.gz debian uupdate
