=== debian/changelog ===
fretsonfire (1.3.110.dfsg2-5ubuntu1) focal; urgency=medium

  * Build using dh-python.
  * Hard-code python2 instead of python.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Jan 2020 21:18:44 +0100

fretsonfire (1.3.110.dfsg2-5) unstable; urgency=medium

  * Team upload.
  * Add python-pil-compatibility.patch and fix startup error.
    Thanks to Hans Joachim Desserud for the report. (Closes: #872934)
  * Declare compliance with Debian Policy 4.1.0.

 -- Markus Koschany <apo@debian.org>  Wed, 23 Aug 2017 02:19:32 +0200

fretsonfire (1.3.110.dfsg2-4) unstable; urgency=medium

  * Team upload.
  * Switch to compat level 10.
  * debian/control: Replace python-imaging with python-pil (Closes: #866426).
  * Drop deprecated menu file and xpm icon.
  * Declare compliance with Debian Policy 4.0.0.

 -- Markus Koschany <apo@debian.org>  Sat, 15 Jul 2017 14:53:36 +0200

fretsonfire (1.3.110.dfsg2-3) unstable; urgency=medium

  * Team upload.
  * Declare compliance with Debian Policy 3.9.8.
  * Replace fonts-mgopen dependency with fonts-dejavu. (Closes: #823106)

 -- Markus Koschany <apo@debian.org>  Sun, 01 May 2016 17:10:08 +0200

fretsonfire (1.3.110.dfsg2-2) unstable; urgency=medium

  * Team upload.
  * Use compat level 9 and require debhelper >= 9.
  * wrap-and-sort -sa.
  * Declare compliance with Debian Policy 3.9.6.
  * Vcs-Browser: Use https.
  * Remove Matthew Johnson from Uploaders because he is not active anymore.
    (Closes: #762555)
  * Remove David Martínez Martí from Uploaders because he is not active anymore.
  * Add python-PIL-tobytes-error.patch and fix runtime error due to API changes
    in Python PIL. Thanks to Samuele Battarra for the report. (Closes: #807250)
  * debian/rules: Fix Lintian error
    uses-deprecated-compression-for-data-tarball and use xz for compressing
    the tarball.
  * Switch from ttf-dejavu to fonts-dejavu.
  * debian/rules: Replace deprecated dh_clean -k with dh_prep.
  * fretsonfire-game.desktop: Add keywords and a comment in German.
  * fretsonfire-game.docs: Remove debian/README.Debian line because
    README.Debian will be installed automatically.
  * Install 64x64 icon to hicolor icon directory.

 -- Markus Koschany <apo@debian.org>  Sun, 13 Dec 2015 16:30:45 +0100

fretsonfire (1.3.110.dfsg2-1) unstable; urgency=low

  [ Evgeni Golov ]
  * Correct Vcs-* URLs to point to anonscm.debian.org

  [ Miriam Ruiz ]
  * Repackaged upstream source to remove data/PyOpenGL__init__.pyc
    Closes: #744699
  * Upgraded Standards-Version from 3.8.3 to 3.9.5
  * Changed my email address to miriam@debian.org
  * Removed dependency from pysupport
  * Fixed small issue with icons (png)
  * Improved slightly starting script

 -- Miriam Ruiz <miriam@debian.org>  Sat, 19 Apr 2014 00:39:48 +0200
