=== debian/control ===
Source: fretsonfire
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Miriam Ruiz <miriam@debian.org>,
 Barry deFreese <bdefreese@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python
Build-Depends-Indep:
 docbook-to-man,
 python-all
Standards-Version: 4.1.0
Homepage: http://fretsonfire.sourceforge.net/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/fretsonfire/
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-games/packages/trunk/fretsonfire/

Package: fretsonfire
Architecture: all
Depends:
 fretsonfire-game,
 fretsonfire-songs-muldjord,
 fretsonfire-songs-sectoid,
 ${misc:Depends}
Description: game of musical skill and fast fingers
 A game of musical skill and fast fingers. The aim of the game is to play
 guitar with the keyboard as accurately as possible.
 .
 Players must press buttons to keep in time with the rhythm of the music,
 shown by markers on screen. An official online high score list allows
 players to show off their skills to competitors around the globe.
 .
 The game comes with an easy to understand tutorial to get players
 started, and a song editor lets players edit and compose songs
 for use in the game.

Package: fretsonfire-game
Architecture: all
Depends:
 python2,
 python-pil,
 python-ogg,
 python-opengl,
 python-pygame,
 python-pyvorbis,
 fonts-dejavu,
 ${misc:Depends},
 ${python:Depends}
Recommends:
 fretsonfire-songs-muldjord,
 fretsonfire-songs-sectoid
Suggests:
 vorbis-tools
Description: game of musical skill and fast fingers - Game files
 A game of musical skill and fast fingers. The aim of the game is to
 play guitar with the keyboard as accurately as possible.
 .
 This is the package containing the game executable code. You will need
 working sound and a 3D capable graphics card.
